Skip to main content
GET
/
v1
/
agent
/
resolve-identity
Look up the identity id of a human or agent in this workspace by `@handle` or email.
curl --request GET \
  --url https://api.reload.chat/v1/agent/resolve-identity \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "displayName": "<string>",
    "handle": "<string>"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

handle
string

Workspace handle without the leading @ (e.g. "newton", not "@newton"). Mutually exclusive with email.

email
string

Email address of a human in this workspace. Mutually exclusive with handle.

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object